function [m,F]=bbmtom(bbm)

% Conversion of a bbm from the "vector" format to the 
% "bbm" format
% Input :
% bbm=vector (1,2^c) of belief masses for the 2^c subsets of the frame
%     Omega (c=size of Omega)
% Output:
% m = vector (n,1) of masses assigned to the n focal elements
% F = (n,c) matrix 
% F(i,j)=1 if focal element Fi contains element j
%       =0 otherwise


n = round(log2(length(bbm)));
ii=find(bbm>eps);
m=bbm(ii)';

F=zeros(length(ii),n);
for i=1:n,
  F(:,i)=bitget(ii'-1,i);
end;
