function [out] = betp1(in,F) 
% computing BetP on  from the m vector (in) 
% out = BetP vector: order a,b,c,...
% F = optional matrix of non empty subsets of Omega, 
%     in binary representation
% new version written by Thierry Denoeux, more efficient than betp
% (loop is made on atoms instead of subsets)
 
lm = length(in); 
natoms = round(log2(lm));
I=(1:lm-1)';
if 2^natoms == lm  
	if in(1) == 1 
		out = 	ones(1,natoms)./natoms; 
   else 
      if nargin ==1,
		    F = zeros(lm-1,natoms); 
		    for i = 1:natoms 
			    F(:,i) = bitget(I,i);  
          end 
      end
      M=in(2:end)'./sum(F,2);
      betp=F'*M;
		out = betp'./(1-in(1)); 
	end 
else 
	'ACCIDENT in betp: length of input vector not OK: should be a power of 2' 
end 
