function [out] = explainfmt(in) 
% Fast Moebius Transform.  
% OK up to 16 elements, above beware of CPU time. 
% Copyright Philippe SMETS. MAY NOT BE DISTRIBUTED. 
 
% CPUTIME: for PowerBook 5300c, 
% with elements = ..., CPU = ... sec: 
% 10 = .07,  11 = .12, 12 = .19,   13 = .32,   14 = .59,   15 = 1.7 
% 16 = 3.4,  17 = 8,   18 = 32 sec. 
% 19 is several minutes (memory too small, only 16M, too many disc accesses) 
 
% symbols are m b q pl w where everything is unnormalized: so m() 0 
% 
% package containsany of  m b q pl w   to any of   m b q pl w 
% the name of each function is fromtowhat : e.g., mtob, mtow qtopl ... 
% their input parameter is the first function, the output is the second function 
 
% vectors are line vectors, ordered 'numerically' 
% i.e.  a b a+b c a+c b+c a+b+c d a+d .....(+ means union) 
% 
% the other transforms are obtained from these 6 functions. 
% some of the transforms are canonical: 
% mtob btom mtoq qtom pltoq qtopl 
% the otherr can be obtaained by using the previous one and cheating on the in vector 
%the tricks are: 
% b to q = b to pl to q 
% q to b = q to pl to b 
% q to pl = abs(b to m) with q() set = 0 by function 
% pl to q = abs(b to m) with pl() set = 1 by function 
% m to pl = m to b to pl 
% pl to m = pl to b to m 
% q to w = q to m applied on log q with exp at end and a trick 
% w to q = m to q applied on log w with exp at end and a trick 
% 
% you also get b to bel where bel is normalized b (btobel)  
% and m to nm so the new bbm is normalized (mtonm) 
 
% finaly createbbm(n) create an output line vector containing a bbm  
%     built randomly on a space with n elements  (length 2^n) 
% 
% you also get a function betp that computes the BetP from m  
% where BetP contains the pignistic proababilities. 
% beware, if nbr worlds > 10, not very fast, I did not optimalize it. 
