function bbm=mtobbm(m,F);

% Conversion of a bbm from the "focal elements" format to the 
% "vector" format
% Input :
% m = vector (n,1) of masses assigned to the n focal elements
% F = (n,c) matrix (c=size of the frame of discernment Omega)
% F(i,j)=1 if focal element Fi contains element j
%       =0 otherwise
% Output:
% bbm=vector (1,2^c) of belief masses for the 2^c subsets of Omega

n=size(F,2);
a=2.^(0:n-1)';
ii=round(F*a)+1;
bbm=zeros(1,2^n);
bbm(ii)=m;
